from g2h.overview_page import OverviewPage

def test_init():
    page = OverviewPage('test/overview', 'overview test', 'test branch', 'test tag', 'overview/sub/dir')
    context = page.context()
    assert(context['title'] == 'overview test')
    assert(context['branches'] == 'test branch')
    assert(context['tags'] == 'test tag')
    assert(context['content_subdir'] == 'overview/sub/dir')
